Bug 240180 - Review Request: qwt - Qt Widgets for Technical Applications
Summary: Review Request: qwt - Qt Widgets for Technical Applications
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240373 243688
TreeView+ depends on / blocked
 
Reported: 2007-05-15 16:53 UTC by Frank Büttner
Modified: 2010-02-05 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-29 19:50:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
tibbs: fedora-cvs-


Attachments (Terms of Use)

Description Frank Büttner 2007-05-15 16:53:26 UTC
Spec URL: http://downloads.sourceforge.net/qsmartcard/qwt.spec?use_mirror=osdn
SRPM URL: http://downloads.sourceforge.net/qsmartcard/qwt-5.0.1-1.fc6.src.rpm?use_mirror=osdn
Description:
The Qwt library contains GUI Components and utility classes which are primarily useful for programs with a technical background.
Beside a 2D plot widget it provides scales, sliders, dials, compasses, thermometers, wheels and knobs to control or display values, arrays, or ranges of type double.

Comment 1 Frank Büttner 2007-06-11 13:11:49 UTC
Update to 5.0.2 split the docu to reduce space waste on the mirrors.
The new files:
SPEC: http://downloads.sourceforge.net/qsmartcard/qwt.spec?use_mirror=osdn
SRPM:
http://downloads.sourceforge.net/qsmartcard/qwt-5.0.2-1.fc6.src.rpm?use_mirror=osdn

Comment 2 Frank Büttner 2007-06-24 06:57:25 UTC
Nobody for review??

Comment 3 Michael Schwendt 2007-07-03 09:25:07 UTC
A brief look at the spec as a start:

Run rpmlint on the source and binary rpms.

> %package devel
> Summary:        Development and doc files for {%name}

Typo in the summary.

> Beside a 2D plot widget it provides scales, sliders, dials, compasses,

Besides...

> %description devel
> Cotains the development files.

Contains...

> %prep
> %setup -q -n %{name}-%{version}

-n %{name}-%{version} is the default

> %install
> make install

"rm -rf $RPM_BUILD_ROOT" must be the first command in the
%install section.

> %files

%defattr definition is missing

> %files devel

same here

> %{_includedir}/%{name}/*

directory %{_includedir}/%{name}  is not included

> %changelog
> * Mon Jun 11 2007 Frank Büttner <frank-buettner@gmx.net> - 5.0.2-1%{?dist}

Don't use %dist in %changelog, as it alters history whenever
%dist changes.


Comment 5 Mamoru TASAKA 2007-09-27 13:49:20 UTC
Well, no reviewers for almost 3 months, so:

Frank, would you still want to have your package reviewed?
If so, I will try to check your srpm.

Comment 6 Frank Büttner 2007-09-27 16:46:13 UTC
Yes, I will.

Comment 7 Mamoru TASAKA 2007-09-28 09:32:27 UTC
For 5.0.2-2:

* Source URL
  - For sourceforge tarball, please follow:
    http://fedoraproject.org/wiki/Packaging/SourceURL

* Group
  - IMO usually the main package has "System Environment/Libraries"
    and "Development/Libraries" is for -devel package.

* License
  - License can be fine with
    'LGPLv2 with exceptions'

* Setup
  - %setup must be quiet (i.e. use '%setup -q')

* parallel make
  - Support parallel make ('make %{?_smp_mflags}') if possible.
    Otherwise write as a comment that qwt does not support it.

* %defattr
  - Now we recommend '%defattr(-,root,root,-)'

* File entry
  - Some files are listed twice
---------------------------------------------------
%{_includedir}/%{name}/*
%{_includedir}/%{name}
---------------------------------------------------
  ! Note
    Say "foo" is a directory. Then if we write in %files entry
---------------------------------------------------
%files
%defattr(-,root,root,-)
foo
---------------------------------------------------
    this means the directory "foo/" itself and all 
    files/directories/etc under the directory foo/.

* Documents
  - The tarball contains some files under doc/html/
    and examples/. Would you consider to include some
    files from these directories (and create -doc 
    subpackage), for example?


Comment 8 Mamoru TASAKA 2007-09-28 09:34:24 UTC
(In reply to comment #7)

> * Documents
>   - The tarball contains some files under doc/html/
>     and examples/. Would you consider to include some
>     files from these directories (and create -doc 
>     subpackage), for example?

Oh, I noticed that you have also submitted "qwt-doc".
Then this can be ignored.



Comment 10 Mamoru TASAKA 2007-09-29 07:23:28 UTC
For -3:

* Parallel make failed (at least for -j4, i386)
  http://koji.fedoraproject.org/koji/taskinfo?taskID=178403
  Without parallel make the rebuild is successful.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=178415

  Please drop parallel support (and write a comment).

= Other things are okay.

----------------------------------------------------------------------
            This package (qwt) is APPROVED by me
----------------------------------------------------------------------

Comment 11 Frank Büttner 2007-09-29 10:14:54 UTC
Very interesting, because at me, parallel build works.
But to prevent for build errors, I will disable it.
New Package CVS Request
=======================
Package Name: qwt
Short Description: Qt Widgets for Technical Applications
Owners: frankb
Branches: FC-6 F7 EL-4
Cvsextras Commits: No

Comment 12 Frank Büttner 2007-09-29 17:38:10 UTC
Please take this one:

New Package CVS Request
=======================
Package Name: qwt
Short Description: Qt Widgets for Technical Applications
Owners: frankb
Branches: FC-6 F7 EL-5
Cvsextras Commits: No

Comment 13 Kevin Fenzi 2007-09-29 18:42:38 UTC
cvs done.

Comment 14 Frank Büttner 2007-09-29 19:50:44 UTC
build done.

Comment 15 Frank Büttner 2010-02-05 14:56:39 UTC
New Package CVS Request
=======================
Package Name: qwt
Short Description: Qt Widgets for Technical Applications
Owners: frankb
Branches: F11 F12 EL-5
Cvsextras Commits: No

Comment 16 Frank Büttner 2010-02-05 14:58:35 UTC
Package Change Request
======================
Package Name: qwt
New Branches: F11 F12 
Owners: frankb

Comment 17 Jason Tibbitts 2010-02-05 16:53:57 UTC
F-11 and F-12 brahches already exist for this package.  Could you clarify what you're asking for?


Note You need to log in before you can comment on or make changes to this bug.